type ICryptoStorageProvider* = ref object

type Storage* = ref object

type Client* = ref object
    homeserverUrl*: cstring
    accessToken*: cstring
    cryptoStore*: ICryptoStorageProvider
    storage*: Storage
    syncingTimeout*: int
    userId*: cstring

type Content* = ref object
    body*, msgtype*: cstring

type Unsigned* = ref object
    transaction_id*: cstring

type Event* = ref object
    content*: Content
    unsigned*: Unsigned
    event_id*, sender*, `type`*, room_id*: cstring
    origin_server_ts*: int

type Filter* = ref object

type Appservice* = ref object

type IPreprocessor* = ref object

type ServerVersions* = ref object

type PresenceState* = ref object

type IJoinRoomStrategy* = ref object

type Membership* = ref object

type RoomCreateOptions* = ref object

type PowerLevelAction* = ref object

type Buffer* = ref object

type SpaceCreateOptions* = ref object

type OTKs* = ref object

type FallbackKey* = ref object

type OTKAlgorithm* = ref object